/*
  +----------------------------------------------------------------------+
  | PHP Version 4                                                        |
  +----------------------------------------------------------------------+
  | Copyright (c) 1997-2003 The PHP Group                                |
  +----------------------------------------------------------------------+
  | This source file is subject to version 2.02 of the PHP license,      |
  | that is bundled with this package in the file LICENSE, and is        |
  | available at through the world-wide-web at                           |
  | http://www.php.net/license/2_02.txt.                                 |
  | If you did not receive a copy of the PHP license and are unable to   |
  | obtain it through the world-wide-web, please send a note to          |
  | license@php.net so we can mail you a copy immediately.               |
  +----------------------------------------------------------------------+
  | Author:                                                              |
  +----------------------------------------------------------------------+

  $Id: header,v 1.10.8.1 2003/07/14 15:59:18 sniper Exp $ 
*/

#ifndef PHP_BTNSMS_H
#define PHP_BTNSMS_H

extern zend_module_entry btnsms_module_entry;
#define phpext_btnsms_ptr &btnsms_module_entry

#ifdef PHP_WIN32
#define PHP_BTNSMS_API __declspec(dllexport)
#else
#define PHP_BTNSMS_API
#endif

#ifdef ZTS
#include "TSRM.h"
#endif

PHP_MINIT_FUNCTION(btnsms);
PHP_MSHUTDOWN_FUNCTION(btnsms);
PHP_RINIT_FUNCTION(btnsms);
PHP_RSHUTDOWN_FUNCTION(btnsms);
PHP_MINFO_FUNCTION(btnsms);

PHP_FUNCTION(btnsms_sendsimple);
PHP_FUNCTION(btnsms_new);
PHP_FUNCTION(btnsms_setcreds);
PHP_FUNCTION(btnsms_adddestination);
PHP_FUNCTION(btnsms_settext);
PHP_FUNCTION(btnsms_settype);
PHP_FUNCTION(btnsms_settarif);
PHP_FUNCTION(btnsms_setdelivery);
PHP_FUNCTION(btnsms_setoriginator);
PHP_FUNCTION(btnsms_setgreetsubst);
PHP_FUNCTION(btnsms_send);
PHP_FUNCTION(btnsms_geterrorcode);
PHP_FUNCTION(btnsms_geterrormsg);
PHP_FUNCTION(btnsms_getaccountbalance);
PHP_FUNCTION(btnsms_getstatusreportid);
PHP_FUNCTION(btnsms_getdestinationerrors);
PHP_FUNCTION(btnsms_getuserstatus);

/* 
  	Declare any global variables you may need between the BEGIN
	and END macros here:     

ZEND_BEGIN_MODULE_GLOBALS(btnsms)
	long  global_value;
	char *global_string;
ZEND_END_MODULE_GLOBALS(btnsms)
*/

/* In every utility function you add that needs to use variables 
   in php_btnsms_globals, call TSRMLS_FETCH(); after declaring other 
   variables used by that function, or better yet, pass in TSRMLS_CC
   after the last function argument and declare your utility function
   with TSRMLS_DC after the last declared argument.  Always refer to
   the globals in your function as BTNSMS_G(variable).  You are 
   encouraged to rename these macros something shorter, see
   examples in any other php module directory.
*/

#ifdef ZTS
#define BTNSMS_G(v) TSRMG(btnsms_globals_id, zend_btnsms_globals *, v)
#else
#define BTNSMS_G(v) (btnsms_globals.v)
#endif

#endif	/* PHP_BTNSMS_H */


/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * indent-tabs-mode: t
 * End:
 */
